package test.sim.scenario;

import brn.sim.scenario.mchannel.McExORParams;
import brn.sim.builder.*;
import brn.sim.AbstractParams;
import brn.sim.AbstractDriver;
import brn.sim.handler.TimeBarRadioChannelHandler;
import brn.sim.handler.LinkQualityHandler;
import brn.swans.app.UdpApplication;
import jist.swans.Node;
import jist.swans.trans.AbstractTrans;
import test.sim.handler.McExORTestEventHandler;
import org.apache.log4j.Logger;

/**
 * Tests default McExOR.
 */
public class TestMcExORSim extends AbstractTestMcExOR {

  public static void main(String[] args) {
    TestMcExORSim test = new TestMcExORSim();

    try {
      int seed = 100;

      System.out.println("TestMcExORSim called with seed " + seed);

      //McExORParams options = McExORParams.defaultParams(seed);
      McExORParams options = McExORParams.defaultPure80211g(seed);

      //McExORParams options = McExORParams.maxThroughputParams();
      //McExORParams options = McExORParams.randomPlacementParams();
      //McExORParams options = McExORParams.defaultParamsOnGrid();

      test.run(options);
    } catch (Exception e) {
      throw new RuntimeException(e);
    }
  }
}
